BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.IO.TextWriter Implements a that writes information to a string. To be added.
- Constructor

  Constructs and initializes a new instance of the class.

  A new is automatically created and associated with the new instance.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A object that defines formatting.

  Constructs and initializes a new instance of the class with the specified format provider.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  The to write to.

  Constructs and initializes a new instance of the class that writes to the specified .

  To be added.
  is .
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  The to write to.
  A object that defines formatting.
  To be added.

  Constructs and initializes a new instance of the class that writes to the specified and has the specified format provider.

  To be added.
  is .
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void

  Closes the current instance.

  This version of is equivalent to ().

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` to release both managed and unmanaged resources; to release only unmanaged resources.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  When the parameter is , this method releases all resources held by any managed objects that this references. This method invokes the method of each referenced object.

  can be called multiple times by other objects. When overriding (), be careful not to reference objects that have been previously disposed in an earlier call to .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Text.Encoding

  Gets the in which the output is written.

  The in which the output is written.

  As described above.

  This property is required in some XML scenarios where a header must be written containing the encoding used by the . This allows XML code to consume an arbitrary and generate a correct XML header.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Text.StringBuilder

  Returns the underlying .

  The underlying .

  This method returns either the that was passed to the constructor, or the that was automatically created.

  As described above.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String

  Returns a string containing the characters written to the current instance so far.

  The containing the characters written to the current instance.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` The to write.

  Writes a character to the current instance of the .

  This method overrides .

  The writer is closed. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to write. If is , nothing is written.

  Writes a string to the current instance of the .

  This method overrides .

  The writer is closed. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` The array to read data from. A that specifies the index at which to begin reading from . A that specifies the maximum number of characters to write.

  Writes the specified region of a character array to this instance of the .

  This method overrides .

  is .

  < 0

  -or-

  < zero.

  ( + ) > Length. The writer is closed. 0 1.0.5000.0 2.0.0.0 4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)